gvSIG CDT Board - gvSIG wishlist #3154
Reimplementacion de la libreria de geometrias sin usar el general -path.
01/31/2015 08:09 AM - Joaquin del Cerro Murciano

Status: Closed Spent time: 0.00 hour
Priority: Normal

Category:

Target version: 1.0.0

Severity: Minor

Description

La implementacion de la libreria de gemetria es la heredada de gvSIG 1, qu eusa el GeneralPath como medio de almacenamiento de
las geometrias. Habria que ver de crear una implementacion que no dependiese de el, de forma que cada tipo de geometria tuviese la
implementacion mas acertada para ella. Probablemente seria lo mas acertado preparar una implementacion basada en JTS, o por lo
menos preparada para poder usar JTS para las operaciones entre geometrias minimizando el coste de conversion a/desde JTS.

History

#1 - 01/31/2015 08:20 AM - Joaquin del Cerro Murciano
- Target version set to 1.0.0

#2 - 04/22/2015 10:29 AM - Cesar Martinez Izquierdo

La implementacién con JTS seguramente es la mas adecuada para analisis (geoprocesos), aunque habria que ver si es la mas eficiente para dibujado
(caso mas comun).

#3 - 12/21/2015 12:29 PM - Joaquin del Cerro Murciano

- Status changed from New to Fixed

#4 - 12/21/2015 12:38 PM - Alvaro Anguix
- Status changed from Fixed to Closed
